pcl::detail::AccumulatorXYZ Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

typedef pcl::traits::has_xyz< boost::mpl::_1 > | IsCompatible

## Public Member Functions

| AccumulatorXYZ ()
template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, size_t n) const

## Public Attributes

Eigen::Vector3f | xyz

## Detailed Description

Definition at line 65 of file accumulators.hpp.

## Member Typedef Documentation

typedef pcl::traits::has_xyz<boost::mpl::_1> pcl::detail::AccumulatorXYZ::IsCompatible

Definition at line 69 of file accumulators.hpp.

## Constructor & Destructor Documentation

pcl::detail::AccumulatorXYZ::AccumulatorXYZ | ( |  | ) |

inline

Definition at line 74 of file accumulators.hpp.

## Member Function Documentation

template<typename PointT >

void pcl::detail::AccumulatorXYZ::add | ( | const PointT & | t | ) |

inline

Definition at line 77 of file accumulators.hpp.

template<typename PointT >

void pcl::detail::AccumulatorXYZ::get | ( | PointT & | t,
|  | size_t | n
| ) |  | const

inline

Definition at line 80 of file accumulators.hpp.

## Member Data Documentation

Eigen::Vector3f pcl::detail::AccumulatorXYZ::xyz

Definition at line 72 of file accumulators.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/common/impl/accumulators.hpp